SMS
수신 SMS 목록 조회
인증된 조직의 수신 SMS·MMS 메시지 목록을 조회합니다. 귀속 통화, 발신·수신 번호, 수신 시각으로 필터링합니다.
GET
/
sms
/
received
수신 SMS 목록 조회
curl --request GET \
--url https://client-api.tryvox.co/v3/sms/received \
--header 'Authorization: Bearer <token>'import requests
url = "https://client-api.tryvox.co/v3/sms/received"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://client-api.tryvox.co/v3/sms/received', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"message_type": "sms",
"received_at": 123,
"from_number": "<string>",
"to_number": "<string>",
"message": "<string>",
"title": "<string>",
"call_id": "<string>",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attachments": [
{
"file_key": "<string>",
"mime_type": "<string>"
}
]
}
],
"total_count": 123,
"next_cursor": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Request validation failed.",
"details": {
"field": "name",
"reason": "must not be blank"
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"details": {}
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Permission denied.",
"details": {}
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found.",
"details": {
"resource": "agent"
}
}
}{
"error": {
"code": "CONFLICT",
"message": "The requested operation conflicts with current state.",
"details": {
"current_status": "draft"
}
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Too many requests.",
"details": {
"limit": 5,
"window_seconds": 1
}
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error.",
"details": {}
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service temporarily unavailable.",
"details": {}
}
}Authorizations
조직 API 키를 Authorization: Bearer <token> 형식으로 보냅니다.
Query Parameters
통화 UUID 필터.
귀속 고객 UUID 필터. 해당 고객에 귀속된 메시지만 반환합니다.
발신 번호 정확 일치 필터. 하이픈 없는 국내 번호.
수신 번호 정확 일치 필터. 하이픈 없는 국내 번호.
수신 시각 하한 (unix ms, 이 시각 이상). 10~11자리 unix 초 입력도 허용 — 자동으로 ms로 변환된다.
수신 시각 상한 (unix ms, 이 시각 이하). 10~11자리 unix 초 입력도 허용 — 자동으로 ms로 변환된다.
정렬 방향입니다. 허용값은 asc, desc입니다.
Available options:
asc, desc 이전 응답의 next_cursor 값입니다. 다음 페이지를 조회할 때 그대로 전달합니다.
반환할 최대 항목 수입니다. v3 목록 endpoint는 1~100을 허용합니다.
Required range:
1 <= x <= 100Was this page helpful?
⌘I
수신 SMS 목록 조회
